Bug 175935 - x11-clocks/xclock links to iconv
x11-clocks/xclock links to iconv
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-x11
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-07 19:00 UTC by Pawel Pekala
Modified: 2013-06-27 14:40 UTC (History)
0 users

See Also:


Attachments
file.diff (480 bytes, patch)
2013-02-07 19:00 UTC, Pawel Pekala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala freebsd_committer 2013-02-07 19:00:00 UTC
[corn:~]> ldd /usr/local/bin/xclock | grep iconv
        libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x801242000)

This is not recorded in dependency list.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-02-07 19:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Pawel Pekala freebsd_committer 2013-02-07 19:10:37 UTC
Responsible Changed
From-To: freebsd-x11->x11

Over to maintainer
Comment 3 jhein 2013-02-07 19:27:11 UTC
xclock will use iconv if it's there, but it's optional.

From xclock's configure on a system without iconv...

checking for iconv... no, consider installing GNU libiconv

and...

% ldd /usr/local/bin/xclock | grep iconv || echo nope
nope


So forcing iconv into xclock's dependencies is probably wrong in this
case.
Comment 4 Pawel Pekala freebsd_committer 2013-02-07 19:38:14 UTC
Dnia 2013-02-07, o godz. 12:27:11
John Hein <jhein@symmetricom.com> napisa=B3(a):

>xclock will use iconv if it's there, but it's optional.
>
>From xclock's configure on a system without iconv...
>
>checking for iconv... no, consider installing GNU libiconv
>
>and...
>
>% ldd /usr/local/bin/xclock | grep iconv || echo nope
>nope
>
>
>So forcing iconv into xclock's dependencies is probably wrong in this
>case.

On systems with iconv installed (this is pretty common package) this
means incomplete dependency list... My patch is just a proposition and
if maintainer decide to turn off linking with iconv it's fine too. For
optional features we have options framework.

--=20
pozdrawiam / with regards
Pawe=B3 P=EAkala
Comment 5 Eitan Adler freebsd_committer 2013-02-07 19:38:57 UTC
On 7 February 2013 14:30, John Hein <jhein@symmetricom.com> wrote:
> The following reply was made to PR ports/175935; it has been noted by GNATS.
>
> From: John Hein <jhein@symmetricom.com>
> To: <pawel@FreeBSD.org>
> Cc: bug-followup@freebsd.org
> Subject: Re: ports/175935: x11-clocks/xclock links to iconv
> Date: Thu, 7 Feb 2013 12:27:11 -0700
>
>  xclock will use iconv if it's there, but it's optional.

Many ports do this.  This is entirely a bug.  Imagine building on a
different machine than one will be running.

>  From xclock's configure on a system without iconv...

The correct fix is to explicitly disable iconv, explicitly enable it,
or make it an OPTION.

As is though, is buggy.


-- 
Eitan Adler
Comment 6 jhein 2013-02-07 20:46:38 UTC
Eitan Adler wrote at 14:38 -0500 on Feb  7, 2013:
 > The correct fix is to explicitly disable iconv, explicitly enable it,
 > or make it an OPTION.

Fair enough.  OPTION it (default off - who uses iconv with xclock?).
More work for the maintainer, but that seems like the best choice
given our current tools.

It'd be nice if we could have dynamic dependencies (dynamic at port
build time, that is) for cases like this where the user couldn't
really care either way about the feature, but removing a dependency
breaks it.
Comment 7 Mark Linimon freebsd_committer 2013-02-11 13:08:41 UTC
Responsible Changed
From-To: x11->freebsd-x11

Canonicalize assignment.
Comment 8 dfilter freebsd_committer 2013-06-27 14:39:25 UTC
Author: zeising
Date: Thu Jun 27 13:39:18 2013
New Revision: 321891
URL: http://svnweb.freebsd.org/changeset/ports/321891

Log:
  Add explicit dependency on iconv.
  Bump portrevision.
  
  PR:		ports/175935
  Submitted by:	Pawel Pekala <pawel@FreeBSD.org>

Modified:
  head/x11-clocks/xclock/Makefile

Modified: head/x11-clocks/xclock/Makefile
==============================================================================
--- head/x11-clocks/xclock/Makefile	Thu Jun 27 13:37:03 2013	(r321890)
+++ head/x11-clocks/xclock/Makefile	Thu Jun 27 13:39:18 2013	(r321891)
@@ -2,6 +2,7 @@
 
 PORTNAME=	xclock
 PORTVERSION=	1.0.6
+PORTREVISION=	1
 CATEGORIES=	x11-clocks
 
 MAINTAINER=	x11@FreeBSD.org
@@ -9,6 +10,7 @@ COMMENT=	Analog and digital clock for X
 
 XORG_CAT=	app
 USE_XORG=	xrender xft xkbfile xt xaw
+USES=		iconv
 
 MAN1=		xclock.1
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Niclas Zeising freebsd_committer 2013-06-27 14:39:30 UTC
State Changed
From-To: open->closed

Committed. Thanks!